@charset "utf-8";

/** ***************************************************************************
 * 紹介文
 * ************************************************************************* */

/**
 * 紹介文
 */

#lead div.lead {
  width: fit-content;
  margin-left: auto;
  margin-right: auto;
}

#lead div.lead .catchcopy {
  color: #62af23;
  line-height: 1.5;
  font-size: 1.375em;
  font-weight: 600;
  text-align: center;
}

@media screen and (min-width:1001px) {

  #lead div.lead {
    text-align: center;
  }

  #lead div.lead .catchcopy {
    font-size: 2em;
  }

}

/**
 * 流れ
 */

#lead div.flow {
  counter-reset: number;
}

#lead div.flow div.item {
  padding: 15px 10px;
  border-radius: 8px;
}

#lead div.flow div.item ~ div.item {
  margin-top: 25px;
}

@media screen and (min-width:1001px) {

  #lead div.flow {
    display: flex;
    align-items: stretch;
    justify-content: space-between;
  }

  #lead div.flow div.item {
    width: 48%;
    padding: 20px 20px;
  }

  #lead div.flow div.item ~ div.item {
    margin-top: 0;
  }

}

/* タイトル */

#lead div.flow div.item dl.list dt {
  margin-bottom: 15px;
  font-size: 1.125em;
  font-weight: 600;
  text-align: center;
}

@media screen and (min-width:1001px) {

  #lead div.flow div.item dl.list dt {
    margin-bottom: 20px;
    font-size: 1.5em;
  }

}

/* リスト */

#lead div.flow div.item dl.list dd {
  padding: 0.25em 0.75em 0.25em 0;
  counter-increment: number;
  border-radius: 8px;
  background-color: #fff;
  overflow: hidden;
  display: flex;
  align-items: stretch;
  justify-content: flex-start;
}

#lead div.flow div.item dl.list dd::before {
  min-width: 1.5em;
  content: counter(number, decimal-leading-zero);
  margin: -0.25em 0.625em -0.25em 0;
  padding: 10px 10px 10px;
  color: #fff;
  line-height: 1;
  font-family: Jost, sans-serif;
  font-size: 1.125em;
  font-weight: 700;
  display: flex;
  align-items: center;
  justify-content: center;
}

#lead div.flow div.item dl.list dd ~ dd {
  margin-top: 10px;
}

@media screen and (min-width:1001px) {

  #lead div.flow div.item dl.list dd ~ dd {
    margin-top: 15px;
  }

}

/* 計画 */

#lead div.flow div.item-1 {
  background-color: #e5f2e8;
}

#lead div.flow div.item-1 dl.list dt {
  color: #62af23;
}

#lead div.flow div.item-1 dl.list dd::before {
  background-color: #62af23;
}

/* 工事 */

#lead div.flow div.item-2 {
  background-color: #fcf2e7;
}

#lead div.flow div.item-2 dl.list dt {
  color: #ff9000;
}

#lead div.flow div.item-2 dl.list dd::before {
  background-color: #ff9000;
}

/** ***************************************************************************
 * 計画 / 工事 共用
 * ************************************************************************* */

#main {
  counter-reset: flow;
}

/**
 * 流れ
 */

#main section.flow-contents div.flow {
  max-width: 500px;
  margin-left: auto;
  margin-right: auto;
}

#main section.flow-contents section.item {
  padding: 20px 15px 25px;
  counter-increment: flow;
  border-radius: 8px;
  display: flex;
  flex-direction: column;
  align-items: stretch;
  justify-content: flex-start;
}

#main section.flow-contents section.item ~ section.item {
  margin-top: 25px;
}

@media screen and (min-width:1001px) {

  #main section.flow-contents div.flow {
    max-width: 100%;
    margin-left: 0;
    margin-right: 0;
  }

  #main section.flow-contents section.item {
    padding: 30px;
    display: block;
    position: relative;
    z-index: 0;
  }

  #main section.flow-contents section.item:not(:last-child)::before {
    content: '';
    width: 26px;
    height: 46px;
    background-position: 0 0;
    background-size: 100% 100%;
    background-repeat: no-repeat;
    transform-origin: center center;
    transform: rotate(90deg);
    position: absolute;
    z-index: 1;
    top: calc(100% + 8px);
    left: calc(50% - 13px);
  }

  #main section.flow-contents section.item::after {
    content: '';
    display: table;
    visibility: hidden;
    clear: both;
  }

  #main section.flow-contents section.item ~ section.item {
    margin-top: 60px;
  }

}

/* タイトル */

#main section.flow-contents section.item .column-title {
  margin-bottom: 15px;
  line-height: 1.4;
  font-size: 1.25em;
  font-weight: 700;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  order: -1;
}

#main section.flow-contents section.item .column-title::before {
  content: counter(flow, decimal-leading-zero);
  width: 2em;
  height: 2em;
  margin-right: 0.5em;
  color: #fff;
  line-height: 1;
  font-family: Jost, sans-serif;
  font-size: 1.125em;
  font-weight: 700;
  border-radius: 9999px;
  display: flex;
  align-items: center;
  justify-content: center;
}

@media screen and (min-width:1001px) {

  #main section.flow-contents section.item .column-title {
    font-size: 1.5em;
    text-align: left;
  }

}

/* 画像 */

#main section.flow-contents section.item div.image {
  width: fit-content;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 10px;
  border-radius: 8px;
  overflow: hidden;
}

@media screen and (min-width:1001px) {

  #main section.flow-contents section.item div.image {
    width: 33%;
    margin-left: 1.5em;
    margin-right: 0;
    margin-bottom: 0.5em;
    float: right;
  }

}

/** ***************************************************************************
 * 計画
 * ************************************************************************* */

#flow-1 div.flow section.item {
  background-color: #e5f2e8;
}

#flow-1 div.flow section.item .column-title::before {
  background-color: #62af23;
}

@media screen and (min-width:1001px) {

  #flow-1 div.flow section.item:not(:last-child)::before {
    background-image: url("../_image/_common/icon-arrow-1.png");
  }

}

/**
 * Flow 1
 */

#flow-1-1 .contact {
  text-align: center;
}

#flow-1-1 .contact a {
  margin: 5px;
}

#flow-1-1 .button-style-tel-1::before {
  filter: invert(1);
}

@media screen and (min-width:1001px) {

  #flow-1-1 .contact {
    text-align: left;
  }

}

/** ***************************************************************************
 * 工事
 * ************************************************************************* */

#flow-2 [class*="section-title"] {
  color: #ff9000;
}

#flow-2 div.flow section.item {
  background-color: #fcf2e7;
}

#flow-2 div.flow section.item .column-title::before {
  background-color: #ff9000;
}

@media screen and (min-width:1001px) {

  #flow-2 div.flow section.item:not(:last-child)::before {
    background-image: url("../_image/_common/icon-arrow-4.png");
  }

}
